@charset "UTF-8";
@font-face {
  font-family: "WorkSans";
  src: url("../fonts/WorkSans-Regular.ttf") format("truetype");
  font-weight: 400;
}
@font-face {
  font-family: "Grotesque";
  src: url("../fonts/BricolageGrotesque-ExtraBold.ttf") format("truetype");
  font-weight: 900;
}
@font-face {
  font-family: "Grotesque";
  src: url("../fonts/BricolageGrotesque-Bold.ttf") format("truetype");
  font-weight: 600;
}
@font-face {
  font-family: "Grotesque";
  src: url("../fonts/BricolageGrotesque-Medium.ttf") format("truetype");
  font-weight: 500;
}
@font-face {
  font-family: "Grotesque";
  src: url("../fonts/BricolageGrotesque-Regular.ttf") format("truetype");
  font-weight: 400;
}
@font-face {
  font-family: "Grotesque";
  src: url("../fonts/BricolageGrotesque-Light.ttf") format("truetype");
  font-weight: 300;
}
@font-face {
  font-family: "Grotesque";
  src: url("../fonts/BricolageGrotesque-ExtraLight.ttf") format("truetype");
  font-weight: 200;
}
body {
  font-family: "WorkSans", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: normal;
  margin: 0;
  padding: 0;
  background-color: #f5f5f5;
  color: #333;
  line-height: 1.4;
}

.wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: auto;
  align-items: center;
}

h1 {
  font-size: 3.4375rem;
  line-height: 1;
  font-weight: 800;
  font-family: Grotesque, sans-serif;
}

h2 {
  font-size: 2.75rem;
  line-height: 1;
  font-weight: 600;
  font-family: Grotesque, sans-serif;
}

h3 {
  font-size: 2.1875rem;
  line-height: 1;
  font-weight: 600;
  font-family: Grotesque, sans-serif;
}

h4 {
  font-size: 1.75rem;
  line-height: 1;
  font-weight: 400;
  font-family: Grotesque, sans-serif;
}

h5 {
  font-size: 1.4rem;
  line-height: 1;
  font-weight: 400;
  font-family: Grotesque, sans-serif;
}

h6 {
  font-size: 1.125rem;
  line-height: 1;
  font-weight: 200;
  font-family: Grotesque, sans-serif;
}

header,
footer {
  width: 100%;
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

footer {
  margin-top: auto;
}

header .container,
footer .container {
  max-width: 1200px;
  width: calc(100% - 40px);
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
}

.section-large {
  display: flex;
  justify-content: space-evenly;
  gap: 1rem 5rem;
}

.grid > img {
  border-radius: 1rem;
}

header .logo {
  font-size: 24px;
  font-weight: bold;
}

header .title {
  border-bottom-color: linear-gradient(to right, #c4e17f 0px, #c4e17f 5px, #f7fdca 5px, #f7fdca 10px, #fad071 10px, #fad071 15px, #f0766b 15px, #f0766b 20px, #db9dbe 20px, #db9dbe 25px, #c49cdf 25px, #c49cdf 30px, #6599e2 30px, #6599e2 35px, #61c2e4 35px, #61c2e4 40px);
  border-bottom: 2px solid;
  padding: 0% 6px;
}

nav {
  display: flex;
  gap: 15px;
}

nav a {
  text-decoration: none;
  color: #333;
  font-weight: 500;
}

main {
  width: calc(100% - 40px);
  max-width: 1200px;
  margin: 1.5rem;
  padding: 20px;
  text-align: left;
}

.hero {
  padding: 100px 20px;
  background-image: url("../images/hero.webp");
  /* Passe den Pfad zum Bild an */
  background-size: cover;
  /* Bild wird so skaliert, dass es den gesamten Hintergrund ausfüllt */
  background-position: center;
  /* Bild wird zentriert */
  background-repeat: no-repeat;
  /* Bild wird nicht wiederholt */
  color: #fff;
}

.hero h1 {
  font-size: 48px;
  margin-bottom: 20px;
}

.hero p {
  font-size: 18px;
  margin-bottom: 40px;
}

.cards {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  gap: 20px;
}

.card {
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  width: calc(33% - 20px);
  text-align: center;
  box-sizing: border-box;
}

.card h2 {
  font-size: 24px;
  margin-bottom: 15px;
}

.card p {
  font-size: 16px;
  margin-bottom: 20px;
}

.card .cta-button {
  background-color: #ff5a5f;
}

.email-signup {
  margin-top: 40px;
  padding: 20px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.email-signup h2 {
  font-size: 24px;
  margin-bottom: 15px;
}

.email-signup p {
  font-size: 16px;
  margin-bottom: 20px;
  text-align: center;
}

.email-signup form {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.email-signup input[type=email] {
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 5px;
  width: 300px;
}

.email-signup .cta-button {
  padding: 10px 20px;
  background-color: #ff5a5f;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-weight: 600;
}

.elem-button {
  border-radius: 10px;
  height: 20px;
  background: #732982;
  color: #ffffff;
  padding: 0.5em 1.5em;
}

.cta-button {
  padding: 10px 20px;
  background-color: #ff5a5f;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-weight: 600;
}

@media (max-width: 768px) {
  .card {
    width: calc(100% - 20px);
  }
  .email-signup form {
    flex-direction: column;
    gap: 10px;
  }
  .email-signup input[type=email] {
    width: 100%;
  }
}